| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions | Variables
DC1491A.ino File Reference
Analog-to-Digital Converters (ADC) » LTC2461: 16-Bit I2C Delta Sigma ADCs with 10ppm/C Max Precision Reference

Linear Technology DC1491A Demonstration Board. More...

## Detailed Description

Linear Technology DC1491A Demonstration Board.

LTC2461: 16-Bit I2C Delta Sigma ADCs with 10ppm/C Max Precision Reference.

Linear Technology DC1493A Demonstration Board. LTC2463: Differential, 16-Bit I2C Delta Sigma ADCs with 10ppm/C Max Precision Reference.

Linear Technology DC1266A Demonstration Board. LTC2453: Differential, 16-Bit Delta Sigma ADC With I2C Interface

    NOTES
      Setup:
       Set the terminal baud rate to 115200 and select the newline terminator. A voltage
       source (preferably low-noise) and a precision voltmeter are required. Ensure all
       jumpers on the demo board are installed in their default positions from the
       factory. Refer to Demo Manual DC1491A.
       * Run menu entry 4 if the voltage readings are not accurate. The DC1491A is not
         calibrated in the factory. Default values will be used until first customer
         calibration.
       If the voltage readings are in error, run menu entry 4 again. The previous
       calibration by the user may have been performed improperly.

      Menu Entry 1: Read ADC Voltage
       Ensure the applied voltage is within the analog input voltage range of 0V to
       +1.25V. Connect the voltage source between the DC1491A's IN terminal and GND
       terminal. This menu entry configures the LTC2461 to operate in 30 Hz mode.

      Menu Entry 2: Sleep Mode
       Enables sleep mode. Note that the REFOUT voltage will go to zero. Any
       subsequent read command will wake up the LTC2461.

      Menu Entry 3: 60 Hz Speed Mode
       Setup is the same as for Menu Entry 1, except the LTC2461 operates in 60 Hz mode,
       and continuous background offset calibration is not performed.

      Menu Entry 4: Calibration
       Follow the command cues to alternately enter voltages with VIN at GND and with
       VIN near full scale voltage, approximately 1.20V. Upon startup, the calibration
       values will be restored.

    USER INPUT DATA FORMAT:
     decimal : 1024
     hex     : 0x400
     octal   : 02000  (leading 0 "zero")
     binary  : B10000000000
     float   : 1024.0

http://www.linear.com/product/LTC2461 http://www.linear.com/product/LTC2463 http://www.linear.com/product/LTC2453

http://www.linear.com/product/LTC2461#demoboards http://www.linear.com/product/LTC2463#demoboards http://www.linear.com/product/LTC2453#demoboards

Copyright 2018(c) Analog Devices, Inc.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
- Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
- Neither the name of Analog Devices, Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
- The use of this software may or may not infringe the patent rights of one or more patent holders. This license does not release you from the requirement that you obtain separate licenses from these patent holders to use this software.
- Use of the software either in source or binary form, must be run on or directly connected to an Analog Devices Inc. component.

THIS SOFTWARE IS PROVIDED BY ANALOG DEVICES "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ANALOG DEVICES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, INTELLECTUAL PROPERTY RIGHTS, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Definition in file DC1491A.ino.

Go to the source code of this file.

## Functions
static void | print_title ()
| Prints the title block when program first starts. More...
static void | print_prompt ()
| Prints main menu. More...
static int8_t | restore_calibration ()
| Read stored calibration parameters from nonvolatile EEPROM on demo board. More...
static void | store_calibration ()
| Store measured calibration parameters to nonvolatile EEPROM on demo board. More...
static int8_t | menu_1_read_30Hz_mode ()
| Read ADC in 30 Hz mode. More...
static int8_t | menu_2_sleep_mode ()
| Sleep Mode. More...
static int8_t | menu_3_read_60Hz_mode ()
| Read ADC in 60 Hz mode. More...
static int8_t | menu_4_calibrate ()
| Calibrate the LTC2461. More...
static void | setup ()
| Initialize Linduino. More...
static void | loop ()
| Repeats Linduino loop. More...

## Variables
static uint8_t | demo_board_connected
| Set to 1 if the board is connected. More...
static float | LTC2461_lsb = 1.907377E-05
| Ideal LSB voltage for a perfect part (Vref/(2^16)) More...
static int32_t | LTC2461_offset_code = 0
| Ideal offset for a perfect part. More...

## Function Documentation

## ◆ loop()

static void loop | ( | void |  | ) |
| static

Repeats Linduino loop.

Definition at line 146 of file DC1491A.ino.

## ◆ menu_1_read_30Hz_mode()

static int8_t menu_1_read_30Hz_mode | ( |  | ) |
| static

Read ADC in 30 Hz mode.

Returns
  ACK bit (0=acknowledge, 1=no acknowledge)

Definition at line 261 of file DC1491A.ino.

## ◆ menu_2_sleep_mode()

static int8_t menu_2_sleep_mode | ( |  | ) |
| static

Sleep Mode.

Returns
  ACK bit (0=acknowledge, 1=no acknowledge)

Definition at line 290 of file DC1491A.ino.

## ◆ menu_3_read_60Hz_mode()

static int8_t menu_3_read_60Hz_mode | ( |  | ) |
| static

Read ADC in 60 Hz mode.

Returns
  ACK bit (0=acknowledge, 1=no acknowledge)

Definition at line 307 of file DC1491A.ino.

## ◆ menu_4_calibrate()

static int8_t menu_4_calibrate | ( |  | ) |
| static

Calibrate the LTC2461.

Returns
  ACK bit (0=acknowledge, 1=no acknowledge)

Definition at line 338 of file DC1491A.ino.

## ◆ print_prompt()

static void print_prompt | ( |  | ) |
| static

Prints main menu.

Definition at line 213 of file DC1491A.ino.

## ◆ print_title()

static void print_title | ( | void |  | ) |
| static

Prints the title block when program first starts.

Definition at line 197 of file DC1491A.ino.

## ◆ restore_calibration()

static int8_t restore_calibration | ( |  | ) |
| static

Read stored calibration parameters from nonvolatile EEPROM on demo board.

Returns
  Return 1 if successful, 0 if not

Definition at line 236 of file DC1491A.ino.

## ◆ setup()

static void setup | ( | void |  | ) |
| static

Initialize Linduino.

Definition at line 128 of file DC1491A.ino.

## ◆ store_calibration()

static void store_calibration | ( |  | ) |
| static

Store measured calibration parameters to nonvolatile EEPROM on demo board.

Definition at line 225 of file DC1491A.ino.

## Variable Documentation

## ◆ demo_board_connected

uint8_t demo_board_connected
| static

Set to 1 if the board is connected.

Definition at line 121 of file DC1491A.ino.

## ◆ LTC2461_lsb

float LTC2461_lsb = 1.907377E-05
| static

Ideal LSB voltage for a perfect part (Vref/(2^16))

Definition at line 124 of file DC1491A.ino.

## ◆ LTC2461_offset_code

int32_t LTC2461_offset_code = 0
| static

Ideal offset for a perfect part.

Definition at line 125 of file DC1491A.ino.